org.apache.xalan.templates

## Class Constants

- java.lang.Object
- - org.apache.xml.utils.Constants
  - - org.apache.xalan.templates.Constants

-     public class Constants
      extends Constants

  Primary constants used in the TransformerImpl classes.
  Usage:
    **For advanced use only**

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTRNAME_AMOUNT` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_ANCESTOR` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_ARCHIVE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_ATTRIBUTE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_ATTRIBUTE_SET` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_CASEORDER` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_CLASS` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_CLASSID` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_CODEBASE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_CODETYPE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_CONDITION` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_COPYTYPE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_COUNT` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_DATATYPE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_DECIMALSEPARATOR` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_DEFAULT` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_DEFAULTSPACE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_DEPTH` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_DIGIT` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_DIGITGROUPSEP` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_DISABLE_OUTPUT_ESCAPING` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_ELEMENT` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_ELEMENTS` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_EXCLUDE_RESULT_PREFIXES` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_EXPR` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_EXTENSIONELEMENTPREFIXES` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_FORMAT` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_FROM` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_GROUPINGSEPARATOR` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_GROUPINGSIZE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_HREF` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_ID` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_IMPORTANCE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_INDENTRESULT` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_INFINITY` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_LANG` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_LETTERVALUE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_LEVEL` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_MATCH` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_METHOD` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_MINUSSIGN` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_MODE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_NAME` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_NAMESPACE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_NAN` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_NDIGITSPERGROUP` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_NS` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_ONLY` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_ORDER` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_OUTPUT_CDATA_SECTION_ELEMENTS` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_OUTPUT_DOCTYPE_PUBLIC` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_OUTPUT_DOCTYPE_SYSTEM` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_OUTPUT_ENCODING` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_OUTPUT_INDENT` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_OUTPUT_MEDIATYPE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_OUTPUT_METHOD` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_OUTPUT_OMITXMLDECL` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_OUTPUT_STANDALONE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_OUTPUT_VERSION` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_PATTERNSEPARATOR` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_PERCENT` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_PERMILLE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_PRIORITY` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_REFID` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_RESULT_PREFIX` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_RESULTNS` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_SELECT` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_SEQUENCESRC` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_STYLE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_STYLESHEET_PREFIX` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_TERMINATE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_TEST` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_TOSTRING` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_TYPE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_USE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_USEATTRIBUTESETS` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_VALUE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_VERSION` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_XMLNS` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_XMLNSDEF` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_XMLSPACE` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRNAME_XXXX` temp dummy
    `static java.lang.String` | `ATTRNAME_ZERODIGIT` Literals for XSL attribute names.
    `static java.lang.String` | `ATTRVAL_ALPHABETIC` For letter-value attribute (part of conversion attributes).
    `static java.lang.String` | `ATTRVAL_ANCESTOR` some stuff for my patterns-by-example
    `static java.lang.String` | `ATTRVAL_ANY` For level attribute in xsl:number.
    `static java.lang.String` | `ATTRVAL_CASEORDER_LOWER` Stuff for sorting
    `static java.lang.String` | `ATTRVAL_CASEORDER_UPPER` Stuff for sorting
    `static java.lang.String` | `ATTRVAL_DATATYPE_NUMBER` Stuff for sorting
    `static java.lang.String` | `ATTRVAL_DATATYPE_TEXT` Stuff for sorting
    `static java.lang.String` | `ATTRVAL_DEFAULT_PREFIX` For Stylesheet-prefix and result-prefix in xsl:namespace-alias
    `static java.lang.String` | `ATTRVAL_ID` some stuff for my patterns-by-example
    `static java.lang.String` | `ATTRVAL_INFINITY` some stuff for Decimal-format
    `static java.lang.String` | `ATTRVAL_MULTI` For level attribute in xsl:number.
    `static java.lang.String` | `ATTRVAL_NAN` some stuff for Decimal-format
    `static boolean` | `ATTRVAL_NO` For indent-result
    `static java.lang.String` | `ATTRVAL_ORDER_ASCENDING` Stuff for sorting
    `static java.lang.String` | `ATTRVAL_ORDER_DESCENDING` Stuff for sorting
    `static java.lang.String` | `ATTRVAL_OTHER` For letter-value attribute (part of conversion attributes).
    `static java.lang.String` | `ATTRVAL_OUTPUT_METHOD_HTML` Mnemonics for the possible values of the xsl:output element's method= attribute: ATTRVAL_OUTPUT_METHOD_XML = Use an XML formatter to produce the output document (basic XSLT operation).
    `static java.lang.String` | `ATTRVAL_OUTPUT_METHOD_TEXT` Mnemonics for the possible values of the xsl:output element's method= attribute: ATTRVAL_OUTPUT_METHOD_XML = Use an XML formatter to produce the output document (basic XSLT operation).
    `static java.lang.String` | `ATTRVAL_OUTPUT_METHOD_XML` Mnemonics for the possible values of the xsl:output element's method= attribute: ATTRVAL_OUTPUT_METHOD_XML = Use an XML formatter to produce the output document (basic XSLT operation).
    `static java.lang.String` | `ATTRVAL_PARENT` some stuff for my patterns-by-example
    `static int` | `ATTRVAL_PRESERVE`
    `static java.lang.String` | `ATTRVAL_SINGLE` For level attribute in xsl:number.
    `static int` | `ATTRVAL_STRIP`
    `static java.lang.String` | `ATTRVAL_THIS` some stuff for my patterns-by-example
    `static java.lang.String` | `ATTRVAL_TRADITIONAL` For letter-value attribute (part of conversion attributes).
    `static boolean` | `ATTRVAL_YES` For indent-result
    `static java.lang.String` | `DEFAULT_DECIMAL_FORMAT` some stuff for Decimal-format
    `static int` | `ELEMNAME_ADDATTRIBUTE` IDs for XSL element types.
    `static int` | `ELEMNAME_ANCHOR` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_ANCHOR_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_ANY` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_ANY_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_APPLY_IMPORTS` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_APPLY_IMPORTS_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_APPLY_TEMPLATES` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_APPLY_TEMPLATES_STRING` Literals for XSL element names.
    `static java.lang.String` | `ELEMNAME_ARG_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_ATTRIBUTE` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_ATTRIBUTE_STRING` Literals for XSL element names.
    `static java.lang.String` | `ELEMNAME_ATTRIBUTESET_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_CALL` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_CALL_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_CALLTEMPLATE` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_CALLTEMPLATE_STRING` Literals for XSL element names.
    `static java.lang.String` | `ELEMNAME_CALLTEMPLATEARG_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_CHILDREN` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_CHILDREN_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_CHOOSE` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_CHOOSE_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_COMMENT` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_COMMENT_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_COMPONENT` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_COMPONENT_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_CONSTRUCT` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_CONSTRUCT_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_CONTENTS` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_CONTENTS_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_COPY` IDs for XSL element types.
    `static int` | `ELEMNAME_COPY_OF` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_COPY_OF_STRING` Literals for XSL element names.
    `static java.lang.String` | `ELEMNAME_COPY_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_COUNTER` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_COUNTER_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_COUNTERINCREMENT` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_COUNTERINCREMENT_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_COUNTERRESET` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_COUNTERRESET_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_COUNTERS` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_COUNTERS_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_COUNTERSCOPE` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_COUNTERSCOPE_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_CSSSTYLECONVERSION` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_CSSSTYLECONVERSION_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_DECIMALFORMAT` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_DECIMALFORMAT_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_DEFINEATTRIBUTESET` IDs for XSL element types.
    `static int` | `ELEMNAME_DEFINESCRIPT` IDs for XSL element types.
    `static int` | `ELEMNAME_DISPLAYIF` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_DISPLAYIF_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_ELEMENT` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_ELEMENT_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_EMPTY` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_EMPTY_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_EVAL` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_EVAL_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_EXPECTEDCHILDREN` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_EXPECTEDCHILDREN_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_EXTENSION` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_EXTENSION_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_EXTENSIONCALL` IDs for XSL element types.
    `static int` | `ELEMNAME_EXTENSIONDECL` IDs for XSL element types.
    `static int` | `ELEMNAME_EXTENSIONHANDLER` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_EXTENSIONHANDLER_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_EXTENSIONSCRIPT` IDs for XSL element types.
    `static int` | `ELEMNAME_FALLBACK` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_FALLBACK_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_FOREACH` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_FOREACH_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_IF` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_IF_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_IMPORT` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_IMPORT_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_INCLUDE` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_INCLUDE_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_KEY` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_KEY_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_LITERALRESULT` IDs for XSL element types.
    `static int` | `ELEMNAME_LOCALE` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_LOCALE_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_MESSAGE` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_MESSAGE_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_NSALIAS` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_NSALIAS_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_NUMBER` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_NUMBER_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_OTHERWISE` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_OTHERWISE_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_OUTPUT` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_OUTPUT_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_PARAMVARIABLE` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_PARAMVARIABLE_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_PI` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_PI_OLD_STRING` Literals for XSL element names.
    `static java.lang.String` | `ELEMNAME_PI_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_PRESERVESPACE` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_PRESERVESPACE_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_REMOVEATTRIBUTE` IDs for XSL element types.
    `static int` | `ELEMNAME_ROOT` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_ROOT_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_SCRIPT` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_SCRIPT_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_SORT` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_SORT_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_STRIPSPACE` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_STRIPSPACE_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_STYLESHEET` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_STYLESHEET_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_TARGETATTRIBUTE` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_TARGETATTRIBUTE_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_TARGETCOMMENT` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_TARGETCOMMENT_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_TARGETELEMENT` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_TARGETELEMENT_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_TARGETPI` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_TARGETPI_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_TARGETTEXT` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_TARGETTEXT_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_TEMPLATE` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_TEMPLATE_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_TEXT` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_TEXT_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_TEXTLITERALRESULT` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_TRANSFORM_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_UNDEFINED` IDs for XSL element types.
    `static int` | `ELEMNAME_URL` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_URL_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_USE` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_USE_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_VALUEOF` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_VALUEOF_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_VARIABLE` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_VARIABLE_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_WHEN` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_WHEN_STRING` Literals for XSL element names.
    `static int` | `ELEMNAME_WITHPARAM` IDs for XSL element types.
    `static java.lang.String` | `ELEMNAME_WITHPARAM_STRING` Literals for XSL element names.
    `static int` | `EXSLT_ELEMNAME_FUNCRESULT`
    `static java.lang.String` | `EXSLT_ELEMNAME_FUNCRESULT_STRING` Literals for EXSLT function elements.
    `static int` | `EXSLT_ELEMNAME_FUNCTION`
    `static java.lang.String` | `EXSLT_ELEMNAME_FUNCTION_STRING` Literals for EXSLT function elements.
    `static int` | `MAX_MULTI_COUNTING_DEPTH` Integer equivelents for above
    `static int` | `NUMBERLETTER_ALPHABETIC` Integer equivalents for above
    `static int` | `NUMBERLETTER_TRADITIONAL` Integer equivalents for above
    `static int` | `NUMBERLEVEL_ANY` Integer equivelents for above
    `static int` | `NUMBERLEVEL_MULTI` Integer equivelents for above
    `static int` | `NUMBERLEVEL_SINGLE` Integer equivelents for above
    `static int` | `SORTCASEORDER_LOWERFIRST` Integer equivelents for CASE-ORDER attribute
    `static int` | `SORTCASEORDER_UPPERFIRST` Integer equivelents for CASE-ORDER attribute
    `static int` | `SORTDATATYPE_NUMBER` Integer equivelents for DATATYPE attribute
    `static int` | `SORTDATATYPE_TEXT` Integer equivelents for DATATYPE attribute
    `static int` | `SORTORDER_ASCENDING` Integer equivelents for ORDER attribute
    `static int` | `SORTORDER_DESCENDING` Integer equivelents for ORDER attribute
    `static int` | `TATTRNAME_AMOUNT` IDs for XSL attribute types.
    `static int` | `TATTRNAME_ANCESTOR` IDs for XSL attribute types.
    `static int` | `TATTRNAME_ARCHIVE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_ATTRIBUTE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_ATTRIBUTE_SET` IDs for XSL attribute types.
    `static int` | `TATTRNAME_CASEORDER` IDs for XSL attribute types.
    `static int` | `TATTRNAME_CLASS` IDs for XSL attribute types.
    `static int` | `TATTRNAME_CLASSID` IDs for XSL attribute types.
    `static int` | `TATTRNAME_CODEBASE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_CODETYPE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_CONDITION` IDs for XSL attribute types.
    `static int` | `TATTRNAME_COPYTYPE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_COUNT` IDs for XSL attribute types.
    `static int` | `TATTRNAME_DATATYPE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_DEFAULT` IDs for XSL attribute types.
    `static int` | `TATTRNAME_DEFAULTSPACE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_DEPTH` IDs for XSL attribute types.
    `static int` | `TATTRNAME_DIGITGROUPSEP` IDs for XSL attribute types.
    `static int` | `TATTRNAME_DISABLE_OUTPUT_ESCAPING` IDs for XSL attribute types.
    `static int` | `TATTRNAME_ELEMENT` IDs for XSL attribute types.
    `static int` | `TATTRNAME_ELEMENTS` IDs for XSL attribute types.
    `static int` | `TATTRNAME_EXCLUDE_RESULT_PREFIXES` IDs for XSL attribute types.
    `static int` | `TATTRNAME_EXPR` IDs for XSL attribute types.
    `static int` | `TATTRNAME_EXTENSIONELEMENTPREFIXES` IDs for XSL attribute types.
    `static int` | `TATTRNAME_FORMAT` IDs for XSL attribute types.
    `static int` | `TATTRNAME_FROM` IDs for XSL attribute types.
    `static int` | `TATTRNAME_GROUPINGSEPARATOR` IDs for XSL attribute types.
    `static int` | `TATTRNAME_GROUPINGSIZE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_HREF` IDs for XSL attribute types.
    `static int` | `TATTRNAME_ID` IDs for XSL attribute types.
    `static int` | `TATTRNAME_IMPORTANCE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_INDENTRESULT` IDs for XSL attribute types.
    `static int` | `TATTRNAME_LANG` IDs for XSL attribute types.
    `static int` | `TATTRNAME_LETTERVALUE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_LEVEL` IDs for XSL attribute types.
    `static int` | `TATTRNAME_MATCH` IDs for XSL attribute types.
    `static int` | `TATTRNAME_METHOD` IDs for XSL attribute types.
    `static int` | `TATTRNAME_MODE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_NAME` IDs for XSL attribute types.
    `static int` | `TATTRNAME_NAMESPACE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_NDIGITSPERGROUP` IDs for XSL attribute types.
    `static int` | `TATTRNAME_NS` IDs for XSL attribute types.
    `static int` | `TATTRNAME_ONLY` IDs for XSL attribute types.
    `static int` | `TATTRNAME_ORDER` IDs for XSL attribute types.
    `static int` | `TATTRNAME_OUTPUT_CDATA_SECTION_ELEMENTS` IDs for XSL attribute types.
    `static int` | `TATTRNAME_OUTPUT_DOCTYPE_PUBLIC` IDs for XSL attribute types.
    `static int` | `TATTRNAME_OUTPUT_DOCTYPE_SYSTEM` IDs for XSL attribute types.
    `static int` | `TATTRNAME_OUTPUT_ENCODING` IDs for XSL attribute types.
    `static int` | `TATTRNAME_OUTPUT_INDENT` IDs for XSL attribute types.
    `static int` | `TATTRNAME_OUTPUT_MEDIATYPE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_OUTPUT_METHOD` IDs for XSL attribute types.
    `static int` | `TATTRNAME_OUTPUT_OMITXMLDECL` IDs for XSL attribute types.
    `static int` | `TATTRNAME_OUTPUT_STANDALONE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_OUTPUT_VERSION` IDs for XSL attribute types.
    `static int` | `TATTRNAME_PRIORITY` IDs for XSL attribute types.
    `static int` | `TATTRNAME_REFID` IDs for XSL attribute types.
    `static int` | `TATTRNAME_RESULTNS` IDs for XSL attribute types.
    `static int` | `TATTRNAME_SELECT` IDs for XSL attribute types.
    `static int` | `TATTRNAME_SEQUENCESRC` IDs for XSL attribute types.
    `static int` | `TATTRNAME_STYLE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_TEST` IDs for XSL attribute types.
    `static int` | `TATTRNAME_TOSTRING` IDs for XSL attribute types.
    `static int` | `TATTRNAME_TYPE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_USE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_USEATTRIBUTESETS` IDs for XSL attribute types.
    `static int` | `TATTRNAME_VALUE` IDs for XSL attribute types.
    `static int` | `TATTRNAME_XMLNS` IDs for XSL attribute types.
    `static int` | `TATTRNAME_XMLNSDEF` IDs for XSL attribute types.
    `static int` | `TATTRNAME_XMLSPACE` IDs for XSL attribute types.

    - ### Fields inherited from class org.apache.xml.utils.Constants

      `S_BUILTIN_EXTENSIONS_URL, S_BUILTIN_OLD_EXTENSIONS_URL, S_EXSLT_COMMON_URL, S_EXSLT_DATETIME_URL, S_EXSLT_DYNAMIC_URL, S_EXSLT_FUNCTIONS_URL, S_EXSLT_MATH_URL, S_EXSLT_SETS_URL, S_EXSLT_STRINGS_URL, S_EXTENSIONS_JAVA_URL, S_EXTENSIONS_LOTUSXSL_JAVA_URL, S_EXTENSIONS_OLD_JAVA_URL, S_EXTENSIONS_PIPE_URL, S_EXTENSIONS_REDIRECT_URL, S_EXTENSIONS_SQL_URL, S_EXTENSIONS_XALANLIB_URL, S_OLDXSLNAMESPACEURL, S_VENDOR, S_VENDORURL, S_XMLNAMESPACEURI, S_XSLNAMESPACEURL, XSLTVERSUPPORTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEMNAME_UNDEFINED

          public static final int ELEMNAME_UNDEFINED

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_WITHPARAM

          public static final int ELEMNAME_WITHPARAM

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_ADDATTRIBUTE

          public static final int ELEMNAME_ADDATTRIBUTE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_ANCHOR

          public static final int ELEMNAME_ANCHOR

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_APPLY_TEMPLATES

          public static final int ELEMNAME_APPLY_TEMPLATES

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_USE

          public static final int ELEMNAME_USE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_CHILDREN

          public static final int ELEMNAME_CHILDREN

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_CHOOSE

          public static final int ELEMNAME_CHOOSE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_COMMENT

          public static final int ELEMNAME_COMMENT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_CONSTRUCT

          public static final int ELEMNAME_CONSTRUCT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_CONTENTS

          public static final int ELEMNAME_CONTENTS

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_COPY

          public static final int ELEMNAME_COPY

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_COPY_OF

          public static final int ELEMNAME_COPY_OF

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_DECIMALFORMAT

          public static final int ELEMNAME_DECIMALFORMAT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_DEFINEATTRIBUTESET

          public static final int ELEMNAME_DEFINEATTRIBUTESET

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_DEFINESCRIPT

          public static final int ELEMNAME_DEFINESCRIPT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_DISPLAYIF

          public static final int ELEMNAME_DISPLAYIF

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_EMPTY

          public static final int ELEMNAME_EMPTY

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_EVAL

          public static final int ELEMNAME_EVAL

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_EXPECTEDCHILDREN

          public static final int ELEMNAME_EXPECTEDCHILDREN

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_EXTENSION

          public static final int ELEMNAME_EXTENSION

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_EXTENSIONHANDLER

          public static final int ELEMNAME_EXTENSIONHANDLER

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_FOREACH

          public static final int ELEMNAME_FOREACH

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_KEY

          public static final int ELEMNAME_KEY

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_IF

          public static final int ELEMNAME_IF

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_IMPORT

          public static final int ELEMNAME_IMPORT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_INCLUDE

          public static final int ELEMNAME_INCLUDE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_CALLTEMPLATE

          public static final int ELEMNAME_CALLTEMPLATE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_PARAMVARIABLE

          public static final int ELEMNAME_PARAMVARIABLE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_NUMBER

          public static final int ELEMNAME_NUMBER

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_NSALIAS

          public static final int ELEMNAME_NSALIAS

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_OTHERWISE

          public static final int ELEMNAME_OTHERWISE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_PI

          public static final int ELEMNAME_PI

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_PRESERVESPACE

          public static final int ELEMNAME_PRESERVESPACE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_REMOVEATTRIBUTE

          public static final int ELEMNAME_REMOVEATTRIBUTE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_TEMPLATE

          public static final int ELEMNAME_TEMPLATE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_SORT

          public static final int ELEMNAME_SORT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_STRIPSPACE

          public static final int ELEMNAME_STRIPSPACE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_STYLESHEET

          public static final int ELEMNAME_STYLESHEET

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_TEXT

          public static final int ELEMNAME_TEXT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_VALUEOF

          public static final int ELEMNAME_VALUEOF

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_WHEN

          public static final int ELEMNAME_WHEN

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_ROOT

          public static final int ELEMNAME_ROOT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_ANY

          public static final int ELEMNAME_ANY

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_ELEMENT

          public static final int ELEMNAME_ELEMENT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_TARGETELEMENT

          public static final int ELEMNAME_TARGETELEMENT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_ATTRIBUTE

          public static final int ELEMNAME_ATTRIBUTE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_TARGETATTRIBUTE

          public static final int ELEMNAME_TARGETATTRIBUTE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_URL

          public static final int ELEMNAME_URL

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_CALL

          public static final int ELEMNAME_CALL

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_FALLBACK

          public static final int ELEMNAME_FALLBACK

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_TARGETPI

          public static final int ELEMNAME_TARGETPI

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_TARGETCOMMENT

          public static final int ELEMNAME_TARGETCOMMENT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_TARGETTEXT

          public static final int ELEMNAME_TARGETTEXT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_CSSSTYLECONVERSION

          public static final int ELEMNAME_CSSSTYLECONVERSION

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_COUNTER

          public static final int ELEMNAME_COUNTER

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_COUNTERS

          public static final int ELEMNAME_COUNTERS

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_COUNTERINCREMENT

          public static final int ELEMNAME_COUNTERINCREMENT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_COUNTERRESET

          public static final int ELEMNAME_COUNTERRESET

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_COUNTERSCOPE

          public static final int ELEMNAME_COUNTERSCOPE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_APPLY_IMPORTS

          public static final int ELEMNAME_APPLY_IMPORTS

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_VARIABLE

          public static final int ELEMNAME_VARIABLE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_MESSAGE

          public static final int ELEMNAME_MESSAGE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_LOCALE

          public static final int ELEMNAME_LOCALE

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_LITERALRESULT

          public static final int ELEMNAME_LITERALRESULT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_TEXTLITERALRESULT

          public static final int ELEMNAME_TEXTLITERALRESULT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_EXTENSIONCALL

          public static final int ELEMNAME_EXTENSIONCALL

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_EXTENSIONDECL

          public static final int ELEMNAME_EXTENSIONDECL

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_EXTENSIONSCRIPT

          public static final int ELEMNAME_EXTENSIONSCRIPT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_OUTPUT

          public static final int ELEMNAME_OUTPUT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_COMPONENT

          public static final int ELEMNAME_COMPONENT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_SCRIPT

          public static final int ELEMNAME_SCRIPT

      IDs for XSL element types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER! (It's a pity Java doesn't have a real Enumerated Mnemonic datatype... or a C-like preprocessor in lieu thereof which could be used to generate and maintain synch between these lists.)
      See Also:
        Constant Field Values

    - #### ELEMNAME_ANCHOR_STRING

          public static final java.lang.String ELEMNAME_ANCHOR_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_ANY_STRING

          public static final java.lang.String ELEMNAME_ANY_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_APPLY_IMPORTS_STRING

          public static final java.lang.String ELEMNAME_APPLY_IMPORTS_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_APPLY_TEMPLATES_STRING

          public static final java.lang.String ELEMNAME_APPLY_TEMPLATES_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_ARG_STRING

          public static final java.lang.String ELEMNAME_ARG_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_ATTRIBUTESET_STRING

          public static final java.lang.String ELEMNAME_ATTRIBUTESET_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_ATTRIBUTE_STRING

          public static final java.lang.String ELEMNAME_ATTRIBUTE_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_CALLTEMPLATEARG_STRING

          public static final java.lang.String ELEMNAME_CALLTEMPLATEARG_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_CALLTEMPLATE_STRING

          public static final java.lang.String ELEMNAME_CALLTEMPLATE_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_CALL_STRING

          public static final java.lang.String ELEMNAME_CALL_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_CHILDREN_STRING

          public static final java.lang.String ELEMNAME_CHILDREN_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_CHOOSE_STRING

          public static final java.lang.String ELEMNAME_CHOOSE_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_COMMENT_STRING

          public static final java.lang.String ELEMNAME_COMMENT_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_COMPONENT_STRING

          public static final java.lang.String ELEMNAME_COMPONENT_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_CONSTRUCT_STRING

          public static final java.lang.String ELEMNAME_CONSTRUCT_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_CONTENTS_STRING

          public static final java.lang.String ELEMNAME_CONTENTS_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_COPY_OF_STRING

          public static final java.lang.String ELEMNAME_COPY_OF_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_COPY_STRING

          public static final java.lang.String ELEMNAME_COPY_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_COUNTERINCREMENT_STRING

          public static final java.lang.String ELEMNAME_COUNTERINCREMENT_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_COUNTERRESET_STRING

          public static final java.lang.String ELEMNAME_COUNTERRESET_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_COUNTERSCOPE_STRING

          public static final java.lang.String ELEMNAME_COUNTERSCOPE_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_COUNTERS_STRING

          public static final java.lang.String ELEMNAME_COUNTERS_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_COUNTER_STRING

          public static final java.lang.String ELEMNAME_COUNTER_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_CSSSTYLECONVERSION_STRING

          public static final java.lang.String ELEMNAME_CSSSTYLECONVERSION_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_DECIMALFORMAT_STRING

          public static final java.lang.String ELEMNAME_DECIMALFORMAT_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_DISPLAYIF_STRING

          public static final java.lang.String ELEMNAME_DISPLAYIF_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_ELEMENT_STRING

          public static final java.lang.String ELEMNAME_ELEMENT_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_EMPTY_STRING

          public static final java.lang.String ELEMNAME_EMPTY_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_EVAL_STRING

          public static final java.lang.String ELEMNAME_EVAL_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_EXPECTEDCHILDREN_STRING

          public static final java.lang.String ELEMNAME_EXPECTEDCHILDREN_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_EXTENSIONHANDLER_STRING

          public static final java.lang.String ELEMNAME_EXTENSIONHANDLER_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_EXTENSION_STRING

          public static final java.lang.String ELEMNAME_EXTENSION_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_FALLBACK_STRING

          public static final java.lang.String ELEMNAME_FALLBACK_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_FOREACH_STRING

          public static final java.lang.String ELEMNAME_FOREACH_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_IF_STRING

          public static final java.lang.String ELEMNAME_IF_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_IMPORT_STRING

          public static final java.lang.String ELEMNAME_IMPORT_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_INCLUDE_STRING

          public static final java.lang.String ELEMNAME_INCLUDE_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_KEY_STRING

          public static final java.lang.String ELEMNAME_KEY_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_LOCALE_STRING

          public static final java.lang.String ELEMNAME_LOCALE_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_MESSAGE_STRING

          public static final java.lang.String ELEMNAME_MESSAGE_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_NSALIAS_STRING

          public static final java.lang.String ELEMNAME_NSALIAS_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_NUMBER_STRING

          public static final java.lang.String ELEMNAME_NUMBER_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_OTHERWISE_STRING

          public static final java.lang.String ELEMNAME_OTHERWISE_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_OUTPUT_STRING

          public static final java.lang.String ELEMNAME_OUTPUT_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_PARAMVARIABLE_STRING

          public static final java.lang.String ELEMNAME_PARAMVARIABLE_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_PI_OLD_STRING

          public static final java.lang.String ELEMNAME_PI_OLD_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_PI_STRING

          public static final java.lang.String ELEMNAME_PI_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_PRESERVESPACE_STRING

          public static final java.lang.String ELEMNAME_PRESERVESPACE_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_ROOT_STRING

          public static final java.lang.String ELEMNAME_ROOT_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_SCRIPT_STRING

          public static final java.lang.String ELEMNAME_SCRIPT_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_SORT_STRING

          public static final java.lang.String ELEMNAME_SORT_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_STRIPSPACE_STRING

          public static final java.lang.String ELEMNAME_STRIPSPACE_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_STYLESHEET_STRING

          public static final java.lang.String ELEMNAME_STYLESHEET_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_TARGETATTRIBUTE_STRING

          public static final java.lang.String ELEMNAME_TARGETATTRIBUTE_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_TARGETCOMMENT_STRING

          public static final java.lang.String ELEMNAME_TARGETCOMMENT_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_TARGETELEMENT_STRING

          public static final java.lang.String ELEMNAME_TARGETELEMENT_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_TARGETPI_STRING

          public static final java.lang.String ELEMNAME_TARGETPI_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_TARGETTEXT_STRING

          public static final java.lang.String ELEMNAME_TARGETTEXT_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_TEMPLATE_STRING

          public static final java.lang.String ELEMNAME_TEMPLATE_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_TEXT_STRING

          public static final java.lang.String ELEMNAME_TEXT_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_TRANSFORM_STRING

          public static final java.lang.String ELEMNAME_TRANSFORM_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_URL_STRING

          public static final java.lang.String ELEMNAME_URL_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_USE_STRING

          public static final java.lang.String ELEMNAME_USE_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_VALUEOF_STRING

          public static final java.lang.String ELEMNAME_VALUEOF_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_VARIABLE_STRING

          public static final java.lang.String ELEMNAME_VARIABLE_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_WHEN_STRING

          public static final java.lang.String ELEMNAME_WHEN_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### ELEMNAME_WITHPARAM_STRING

          public static final java.lang.String ELEMNAME_WITHPARAM_STRING

      Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.
      See Also:
        Constant Field Values

    - #### EXSLT_ELEMNAME_FUNCTION_STRING

          public static final java.lang.String EXSLT_ELEMNAME_FUNCTION_STRING

      Literals for EXSLT function elements.
      See Also:
        Constant Field Values

    - #### EXSLT_ELEMNAME_FUNCRESULT_STRING

          public static final java.lang.String EXSLT_ELEMNAME_FUNCRESULT_STRING

      Literals for EXSLT function elements.
      See Also:
        Constant Field Values

    - #### EXSLT_ELEMNAME_FUNCTION

          public static final int EXSLT_ELEMNAME_FUNCTION

      See Also:
        Constant Field Values

    - #### EXSLT_ELEMNAME_FUNCRESULT

          public static final int EXSLT_ELEMNAME_FUNCRESULT

      See Also:
        Constant Field Values

    - #### ATTRNAME_AMOUNT

          public static final java.lang.String ATTRNAME_AMOUNT

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_ANCESTOR

          public static final java.lang.String ATTRNAME_ANCESTOR

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_ARCHIVE

          public static final java.lang.String ATTRNAME_ARCHIVE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_ATTRIBUTE

          public static final java.lang.String ATTRNAME_ATTRIBUTE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_ATTRIBUTE_SET

          public static final java.lang.String ATTRNAME_ATTRIBUTE_SET

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_CASEORDER

          public static final java.lang.String ATTRNAME_CASEORDER

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_CLASS

          public static final java.lang.String ATTRNAME_CLASS

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_CLASSID

          public static final java.lang.String ATTRNAME_CLASSID

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_CODEBASE

          public static final java.lang.String ATTRNAME_CODEBASE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_CODETYPE

          public static final java.lang.String ATTRNAME_CODETYPE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_CONDITION

          public static final java.lang.String ATTRNAME_CONDITION

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_COPYTYPE

          public static final java.lang.String ATTRNAME_COPYTYPE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_COUNT

          public static final java.lang.String ATTRNAME_COUNT

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_DATATYPE

          public static final java.lang.String ATTRNAME_DATATYPE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_DECIMALSEPARATOR

          public static final java.lang.String ATTRNAME_DECIMALSEPARATOR

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_DEFAULT

          public static final java.lang.String ATTRNAME_DEFAULT

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_DEFAULTSPACE

          public static final java.lang.String ATTRNAME_DEFAULTSPACE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_DEPTH

          public static final java.lang.String ATTRNAME_DEPTH

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_DIGIT

          public static final java.lang.String ATTRNAME_DIGIT

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_DIGITGROUPSEP

          public static final java.lang.String ATTRNAME_DIGITGROUPSEP

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_DISABLE_OUTPUT_ESCAPING

          public static final java.lang.String ATTRNAME_DISABLE_OUTPUT_ESCAPING

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_ELEMENT

          public static final java.lang.String ATTRNAME_ELEMENT

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_ELEMENTS

          public static final java.lang.String ATTRNAME_ELEMENTS

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_EXCLUDE_RESULT_PREFIXES

          public static final java.lang.String ATTRNAME_EXCLUDE_RESULT_PREFIXES

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_EXPR

          public static final java.lang.String ATTRNAME_EXPR

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_EXTENSIONELEMENTPREFIXES

          public static final java.lang.String ATTRNAME_EXTENSIONELEMENTPREFIXES

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_FORMAT

          public static final java.lang.String ATTRNAME_FORMAT

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_FROM

          public static final java.lang.String ATTRNAME_FROM

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_GROUPINGSEPARATOR

          public static final java.lang.String ATTRNAME_GROUPINGSEPARATOR

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_GROUPINGSIZE

          public static final java.lang.String ATTRNAME_GROUPINGSIZE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_HREF

          public static final java.lang.String ATTRNAME_HREF

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_ID

          public static final java.lang.String ATTRNAME_ID

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_IMPORTANCE

          public static final java.lang.String ATTRNAME_IMPORTANCE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_INDENTRESULT

          public static final java.lang.String ATTRNAME_INDENTRESULT

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_INFINITY

          public static final java.lang.String ATTRNAME_INFINITY

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_LANG

          public static final java.lang.String ATTRNAME_LANG

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_LETTERVALUE

          public static final java.lang.String ATTRNAME_LETTERVALUE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_LEVEL

          public static final java.lang.String ATTRNAME_LEVEL

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_MATCH

          public static final java.lang.String ATTRNAME_MATCH

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_METHOD

          public static final java.lang.String ATTRNAME_METHOD

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_MINUSSIGN

          public static final java.lang.String ATTRNAME_MINUSSIGN

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_MODE

          public static final java.lang.String ATTRNAME_MODE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_NAME

          public static final java.lang.String ATTRNAME_NAME

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_NAMESPACE

          public static final java.lang.String ATTRNAME_NAMESPACE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_NAN

          public static final java.lang.String ATTRNAME_NAN

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_NDIGITSPERGROUP

          public static final java.lang.String ATTRNAME_NDIGITSPERGROUP

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_NS

          public static final java.lang.String ATTRNAME_NS

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_ONLY

          public static final java.lang.String ATTRNAME_ONLY

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_ORDER

          public static final java.lang.String ATTRNAME_ORDER

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_OUTPUT_CDATA_SECTION_ELEMENTS

          public static final java.lang.String ATTRNAME_OUTPUT_CDATA_SECTION_ELEMENTS

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_OUTPUT_DOCTYPE_PUBLIC

          public static final java.lang.String ATTRNAME_OUTPUT_DOCTYPE_PUBLIC

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_OUTPUT_DOCTYPE_SYSTEM

          public static final java.lang.String ATTRNAME_OUTPUT_DOCTYPE_SYSTEM

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_OUTPUT_ENCODING

          public static final java.lang.String ATTRNAME_OUTPUT_ENCODING

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_OUTPUT_INDENT

          public static final java.lang.String ATTRNAME_OUTPUT_INDENT

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_OUTPUT_MEDIATYPE

          public static final java.lang.String ATTRNAME_OUTPUT_MEDIATYPE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_OUTPUT_METHOD

          public static final java.lang.String ATTRNAME_OUTPUT_METHOD

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_OUTPUT_OMITXMLDECL

          public static final java.lang.String ATTRNAME_OUTPUT_OMITXMLDECL

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_OUTPUT_STANDALONE

          public static final java.lang.String ATTRNAME_OUTPUT_STANDALONE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_OUTPUT_VERSION

          public static final java.lang.String ATTRNAME_OUTPUT_VERSION

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_PATTERNSEPARATOR

          public static final java.lang.String ATTRNAME_PATTERNSEPARATOR

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_PERCENT

          public static final java.lang.String ATTRNAME_PERCENT

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_PERMILLE

          public static final java.lang.String ATTRNAME_PERMILLE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_PRIORITY

          public static final java.lang.String ATTRNAME_PRIORITY

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_REFID

          public static final java.lang.String ATTRNAME_REFID

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_RESULTNS

          public static final java.lang.String ATTRNAME_RESULTNS

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_RESULT_PREFIX

          public static final java.lang.String ATTRNAME_RESULT_PREFIX

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_SELECT

          public static final java.lang.String ATTRNAME_SELECT

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_SEQUENCESRC

          public static final java.lang.String ATTRNAME_SEQUENCESRC

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_STYLE

          public static final java.lang.String ATTRNAME_STYLE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_STYLESHEET_PREFIX

          public static final java.lang.String ATTRNAME_STYLESHEET_PREFIX

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_TERMINATE

          public static final java.lang.String ATTRNAME_TERMINATE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_TEST

          public static final java.lang.String ATTRNAME_TEST

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_TOSTRING

          public static final java.lang.String ATTRNAME_TOSTRING

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_TYPE

          public static final java.lang.String ATTRNAME_TYPE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_USE

          public static final java.lang.String ATTRNAME_USE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_USEATTRIBUTESETS

          public static final java.lang.String ATTRNAME_USEATTRIBUTESETS

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_VALUE

          public static final java.lang.String ATTRNAME_VALUE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_VERSION

          public static final java.lang.String ATTRNAME_VERSION

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_XMLNS

          public static final java.lang.String ATTRNAME_XMLNS

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_XMLNSDEF

          public static final java.lang.String ATTRNAME_XMLNSDEF

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_XMLSPACE

          public static final java.lang.String ATTRNAME_XMLSPACE

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### ATTRNAME_ZERODIGIT

          public static final java.lang.String ATTRNAME_ZERODIGIT

      Literals for XSL attribute names. Note that there may be more names than IDs, because some names may map to the same ID.
      See Also:
        Constant Field Values

    - #### TATTRNAME_OUTPUT_METHOD

          public static final int TATTRNAME_OUTPUT_METHOD

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_AMOUNT

          public static final int TATTRNAME_AMOUNT

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_ANCESTOR

          public static final int TATTRNAME_ANCESTOR

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_ARCHIVE

          public static final int TATTRNAME_ARCHIVE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_ATTRIBUTE

          public static final int TATTRNAME_ATTRIBUTE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_ATTRIBUTE_SET

          public static final int TATTRNAME_ATTRIBUTE_SET

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_CASEORDER

          public static final int TATTRNAME_CASEORDER

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_CLASS

          public static final int TATTRNAME_CLASS

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_CLASSID

          public static final int TATTRNAME_CLASSID

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_CODEBASE

          public static final int TATTRNAME_CODEBASE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_CODETYPE

          public static final int TATTRNAME_CODETYPE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_CONDITION

          public static final int TATTRNAME_CONDITION

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_COPYTYPE

          public static final int TATTRNAME_COPYTYPE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_COUNT

          public static final int TATTRNAME_COUNT

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_DATATYPE

          public static final int TATTRNAME_DATATYPE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_DEFAULT

          public static final int TATTRNAME_DEFAULT

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_DEFAULTSPACE

          public static final int TATTRNAME_DEFAULTSPACE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_DEPTH

          public static final int TATTRNAME_DEPTH

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_DIGITGROUPSEP

          public static final int TATTRNAME_DIGITGROUPSEP

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_DISABLE_OUTPUT_ESCAPING

          public static final int TATTRNAME_DISABLE_OUTPUT_ESCAPING

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_ELEMENT

          public static final int TATTRNAME_ELEMENT

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_ELEMENTS

          public static final int TATTRNAME_ELEMENTS

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_EXPR

          public static final int TATTRNAME_EXPR

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_EXTENSIONELEMENTPREFIXES

          public static final int TATTRNAME_EXTENSIONELEMENTPREFIXES

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_FORMAT

          public static final int TATTRNAME_FORMAT

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_FROM

          public static final int TATTRNAME_FROM

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_GROUPINGSEPARATOR

          public static final int TATTRNAME_GROUPINGSEPARATOR

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_GROUPINGSIZE

          public static final int TATTRNAME_GROUPINGSIZE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_HREF

          public static final int TATTRNAME_HREF

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_ID

          public static final int TATTRNAME_ID

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_IMPORTANCE

          public static final int TATTRNAME_IMPORTANCE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_INDENTRESULT

          public static final int TATTRNAME_INDENTRESULT

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_LANG

          public static final int TATTRNAME_LANG

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_LETTERVALUE

          public static final int TATTRNAME_LETTERVALUE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_LEVEL

          public static final int TATTRNAME_LEVEL

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_MATCH

          public static final int TATTRNAME_MATCH

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_METHOD

          public static final int TATTRNAME_METHOD

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_MODE

          public static final int TATTRNAME_MODE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_NAME

          public static final int TATTRNAME_NAME

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_NAMESPACE

          public static final int TATTRNAME_NAMESPACE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_NDIGITSPERGROUP

          public static final int TATTRNAME_NDIGITSPERGROUP

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_NS

          public static final int TATTRNAME_NS

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_ONLY

          public static final int TATTRNAME_ONLY

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_ORDER

          public static final int TATTRNAME_ORDER

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_OUTPUT_CDATA_SECTION_ELEMENTS

          public static final int TATTRNAME_OUTPUT_CDATA_SECTION_ELEMENTS

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_OUTPUT_DOCTYPE_PUBLIC

          public static final int TATTRNAME_OUTPUT_DOCTYPE_PUBLIC

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_OUTPUT_DOCTYPE_SYSTEM

          public static final int TATTRNAME_OUTPUT_DOCTYPE_SYSTEM

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_OUTPUT_ENCODING

          public static final int TATTRNAME_OUTPUT_ENCODING

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_OUTPUT_INDENT

          public static final int TATTRNAME_OUTPUT_INDENT

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_OUTPUT_MEDIATYPE

          public static final int TATTRNAME_OUTPUT_MEDIATYPE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_OUTPUT_STANDALONE

          public static final int TATTRNAME_OUTPUT_STANDALONE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_OUTPUT_VERSION

          public static final int TATTRNAME_OUTPUT_VERSION

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_OUTPUT_OMITXMLDECL

          public static final int TATTRNAME_OUTPUT_OMITXMLDECL

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_PRIORITY

          public static final int TATTRNAME_PRIORITY

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_REFID

          public static final int TATTRNAME_REFID

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_RESULTNS

          public static final int TATTRNAME_RESULTNS

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_SELECT

          public static final int TATTRNAME_SELECT

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_SEQUENCESRC

          public static final int TATTRNAME_SEQUENCESRC

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_STYLE

          public static final int TATTRNAME_STYLE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_TEST

          public static final int TATTRNAME_TEST

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_TOSTRING

          public static final int TATTRNAME_TOSTRING

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_TYPE

          public static final int TATTRNAME_TYPE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_USE

          public static final int TATTRNAME_USE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_USEATTRIBUTESETS

          public static final int TATTRNAME_USEATTRIBUTESETS

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_VALUE

          public static final int TATTRNAME_VALUE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_XMLNSDEF

          public static final int TATTRNAME_XMLNSDEF

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_XMLNS

          public static final int TATTRNAME_XMLNS

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_XMLSPACE

          public static final int TATTRNAME_XMLSPACE

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### TATTRNAME_EXCLUDE_RESULT_PREFIXES

          public static final int TATTRNAME_EXCLUDE_RESULT_PREFIXES

      IDs for XSL attribute types. These are associated with the string literals in the TransformerImpl class. Don't change the numbers. NOTE THAT THESE ARE NOT IN ALPHABETICAL ORDER!
      See Also:
        Constant Field Values

    - #### ATTRVAL_OUTPUT_METHOD_HTML

          public static final java.lang.String ATTRVAL_OUTPUT_METHOD_HTML

      Mnemonics for the possible values of the xsl:output element's method= attribute:
      - ATTRVAL_OUTPUT_METHOD_XML = Use an XML formatter to produce the output document (basic XSLT operation).
      - ATTRVAL_OUTPUT_METHOD_HTML: Use an HTML formatter to produce the output document. When generating HTML documents, this may yield better results; it does things like escaping characters in href attributes.
    ATTRVAL_OUTPUT_METHOD_TEXT: Use a Text formatter to produce the output document. Generally the right choice if your stylesheet wants to take over _all_ the details of formatting, most often when producing something that isn't an XML or HTML document.

See Also:
  Constant Field Values

- #### ATTRVAL_OUTPUT_METHOD_XML

      public static final java.lang.String ATTRVAL_OUTPUT_METHOD_XML

  Mnemonics for the possible values of the xsl:output element's method= attribute:
  - ATTRVAL_OUTPUT_METHOD_XML = Use an XML formatter to produce the output document (basic XSLT operation).
  - ATTRVAL_OUTPUT_METHOD_HTML: Use an HTML formatter to produce the output document. When generating HTML documents, this may yield better results; it does things like escaping characters in href attributes.
ATTRVAL_OUTPUT_METHOD_TEXT: Use a Text formatter to produce the output document. Generally the right choice if your stylesheet wants to take over _all_ the details of formatting, most often when producing something that isn't an XML or HTML document.

See Also:
  Constant Field Values

- #### ATTRVAL_OUTPUT_METHOD_TEXT

      public static final java.lang.String ATTRVAL_OUTPUT_METHOD_TEXT

  Mnemonics for the possible values of the xsl:output element's method= attribute:
  - ATTRVAL_OUTPUT_METHOD_XML = Use an XML formatter to produce the output document (basic XSLT operation).
  - ATTRVAL_OUTPUT_METHOD_HTML: Use an HTML formatter to produce the output document. When generating HTML documents, this may yield better results; it does things like escaping characters in href attributes.
ATTRVAL_OUTPUT_METHOD_TEXT: Use a Text formatter to produce the output document. Generally the right choice if your stylesheet wants to take over _all_ the details of formatting, most often when producing something that isn't an XML or HTML document.

See Also:
  Constant Field Values

- #### ATTRVAL_PRESERVE

      public static final int ATTRVAL_PRESERVE

  See Also:
    Constant Field Values

- #### ATTRVAL_STRIP

      public static final int ATTRVAL_STRIP

  See Also:
    Constant Field Values

- #### ATTRVAL_YES

      public static final boolean ATTRVAL_YES

  For indent-result
  See Also:
    Constant Field Values

- #### ATTRVAL_NO

      public static final boolean ATTRVAL_NO

  For indent-result
  See Also:
    Constant Field Values

- #### ATTRVAL_ALPHABETIC

      public static final java.lang.String ATTRVAL_ALPHABETIC

  For letter-value attribute (part of conversion attributes).
  See Also:
    Constant Field Values

- #### ATTRVAL_OTHER

      public static final java.lang.String ATTRVAL_OTHER

  For letter-value attribute (part of conversion attributes).
  See Also:
    Constant Field Values

- #### ATTRVAL_TRADITIONAL

      public static final java.lang.String ATTRVAL_TRADITIONAL

  For letter-value attribute (part of conversion attributes).
  See Also:
    Constant Field Values

- #### ATTRVAL_SINGLE

      public static final java.lang.String ATTRVAL_SINGLE

  For level attribute in xsl:number.
  See Also:
    Constant Field Values

- #### ATTRVAL_MULTI

      public static final java.lang.String ATTRVAL_MULTI

  For level attribute in xsl:number.
  See Also:
    Constant Field Values

- #### ATTRVAL_ANY

      public static final java.lang.String ATTRVAL_ANY

  For level attribute in xsl:number.
  See Also:
    Constant Field Values

- #### ATTRVAL_DEFAULT_PREFIX

      public static final java.lang.String ATTRVAL_DEFAULT_PREFIX

  For Stylesheet-prefix and result-prefix in xsl:namespace-alias
  See Also:
    Constant Field Values

- #### NUMBERLETTER_ALPHABETIC

      public static final int NUMBERLETTER_ALPHABETIC

  Integer equivalents for above
  See Also:
    Constant Field Values

- #### NUMBERLETTER_TRADITIONAL

      public static final int NUMBERLETTER_TRADITIONAL

  Integer equivalents for above
  See Also:
    Constant Field Values

- #### NUMBERLEVEL_SINGLE

      public static final int NUMBERLEVEL_SINGLE

  Integer equivelents for above
  See Also:
    Constant Field Values

- #### NUMBERLEVEL_MULTI

      public static final int NUMBERLEVEL_MULTI

  Integer equivelents for above
  See Also:
    Constant Field Values

- #### NUMBERLEVEL_ANY

      public static final int NUMBERLEVEL_ANY

  Integer equivelents for above
  See Also:
    Constant Field Values

- #### MAX_MULTI_COUNTING_DEPTH

      public static final int MAX_MULTI_COUNTING_DEPTH

  Integer equivelents for above
  See Also:
    Constant Field Values

- #### ATTRVAL_THIS

      public static final java.lang.String ATTRVAL_THIS

  some stuff for my patterns-by-example
  See Also:
    Constant Field Values

- #### ATTRVAL_PARENT

      public static final java.lang.String ATTRVAL_PARENT

  some stuff for my patterns-by-example
  See Also:
    Constant Field Values

- #### ATTRVAL_ANCESTOR

      public static final java.lang.String ATTRVAL_ANCESTOR

  some stuff for my patterns-by-example
  See Also:
    Constant Field Values

- #### ATTRVAL_ID

      public static final java.lang.String ATTRVAL_ID

  some stuff for my patterns-by-example
  See Also:
    Constant Field Values

- #### ATTRVAL_DATATYPE_TEXT

      public static final java.lang.String ATTRVAL_DATATYPE_TEXT

  Stuff for sorting
  See Also:
    Constant Field Values

- #### ATTRVAL_DATATYPE_NUMBER

      public static final java.lang.String ATTRVAL_DATATYPE_NUMBER

  Stuff for sorting
  See Also:
    Constant Field Values

- #### ATTRVAL_ORDER_ASCENDING

      public static final java.lang.String ATTRVAL_ORDER_ASCENDING

  Stuff for sorting
  See Also:
    Constant Field Values

- #### ATTRVAL_ORDER_DESCENDING

      public static final java.lang.String ATTRVAL_ORDER_DESCENDING

  Stuff for sorting
  See Also:
    Constant Field Values

- #### ATTRVAL_CASEORDER_UPPER

      public static final java.lang.String ATTRVAL_CASEORDER_UPPER

  Stuff for sorting
  See Also:
    Constant Field Values

- #### ATTRVAL_CASEORDER_LOWER

      public static final java.lang.String ATTRVAL_CASEORDER_LOWER

  Stuff for sorting
  See Also:
    Constant Field Values

- #### SORTDATATYPE_TEXT

      public static final int SORTDATATYPE_TEXT

  Integer equivelents for DATATYPE attribute
  See Also:
    Constant Field Values

- #### SORTDATATYPE_NUMBER

      public static final int SORTDATATYPE_NUMBER

  Integer equivelents for DATATYPE attribute
  See Also:
    Constant Field Values

- #### SORTORDER_ASCENDING

      public static final int SORTORDER_ASCENDING

  Integer equivelents for ORDER attribute
  See Also:
    Constant Field Values

- #### SORTORDER_DESCENDING

      public static final int SORTORDER_DESCENDING

  Integer equivelents for ORDER attribute
  See Also:
    Constant Field Values

- #### SORTCASEORDER_UPPERFIRST

      public static final int SORTCASEORDER_UPPERFIRST

  Integer equivelents for CASE-ORDER attribute
  See Also:
    Constant Field Values

- #### SORTCASEORDER_LOWERFIRST

      public static final int SORTCASEORDER_LOWERFIRST

  Integer equivelents for CASE-ORDER attribute
  See Also:
    Constant Field Values

- #### ATTRVAL_INFINITY

      public static final java.lang.String ATTRVAL_INFINITY

  some stuff for Decimal-format
  See Also:
    Constant Field Values

- #### ATTRVAL_NAN

      public static final java.lang.String ATTRVAL_NAN

  some stuff for Decimal-format
  See Also:
    Constant Field Values

- #### DEFAULT_DECIMAL_FORMAT

      public static final java.lang.String DEFAULT_DECIMAL_FORMAT

  some stuff for Decimal-format
  See Also:
    Constant Field Values

- #### ATTRNAME_XXXX

      public static final java.lang.String ATTRNAME_XXXX

  temp dummy
  See Also:
    Constant Field Values

- ### Constructor Detail

  - #### Constants

        public Constants()

Copyright © 2023 Apache XML Project. All Rights Reserved.